> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update product review

> Update product review



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json put /catalog/marketplace/products/{product_id}/reviews/{id}
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /catalog/marketplace/products/{product_id}/reviews/{id}:
    parameters:
      - name: id
        in: path
        description: review Ulid
        required: true
        schema:
          type: string
      - name: product_id
        in: path
        description: product Ulid
        required: true
        schema:
          type: string
    put:
      tags:
        - Marketplace Catalog
      summary: Update product review
      description: Update product review
      operationId: update-marketplace-review
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - status
              properties:
                status:
                  enum:
                    - pending
                    - approved
                    - rejected
                    - archived
                tags:
                  type: array
                  items:
                    type: string
                is_featured:
                  type: boolean
                review_reply:
                  type: string
                images:
                  description: array of file ids
                  type: array
                  items:
                    type: string
                videos:
                  description: array of file ids
                  type: array
                  items:
                    type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      review:
                        $ref: '#/components/schemas/ProductReview'
                    type: object
components:
  schemas:
    ProductReview:
      title: ProductReview
      type: object
      required:
        - product_id
        - rating
        - review_text
        - name
        - email
        - status
        - is_featured
        - review_date
      properties:
        id:
          type: string
          readOnly: true
        product_id:
          type: string
          readOnly: true
        rating:
          type: number
          format: float
          readOnly: true
        review_text:
          type: string
          readOnly: true
        name:
          type: string
          maxLength: 128
          readOnly: true
        email:
          type: string
          maxLength: 128
          readOnly: true
        status:
          enum:
            - pending
            - approved
            - rejected
            - archived
        is_featured:
          type: boolean
        tags:
          type: array
          items:
            type: string
        images:
          type: array
          items:
            $ref: '#/components/schemas/ProductImage'
        videos:
          type: array
          items:
            $ref: '#/components/schemas/ProductVideo'
            type: object
        review_date:
          type: string
          format: date-time
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        modified_at:
          type: string
          format: date-time
          readOnly: true
        review_reply:
          type: string
      x-tags:
        - Catalog
    ProductImage:
      title: ProductImage
      type: object
      properties:
        title:
          type:
            - string
            - 'null'
          maxLength: 128
        alternate_text:
          type:
            - string
            - 'null'
          maxLength: 128
        sort_order:
          type: integer
          format: int32
        url_tiny:
          type: string
          maxLength: 512
        url_thumbnail:
          type: string
          maxLength: 512
        url_standard:
          type: string
          maxLength: 512
        url_zoom:
          type: string
          maxLength: 512
        file_id:
          type: string
        file_type:
          enum:
            - image
      x-tags:
        - Catalog
    ProductVideo:
      title: ProductVideo
      type: object
      properties:
        title:
          type:
            - string
            - 'null'
        alternate_text:
          type:
            - string
            - 'null'
        sort_order:
          type: integer
        video_preview_url:
          type: string
        video_stream_hls_url:
          type: string
        video_stream_dash_url:
          type: string
        image_thumbnail_url:
          type: string
        video_duration:
          type: integer
        file_id:
          type: string
      x-tags:
        - Catalog
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````